/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package db;



import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement; 
    import java.sql.*; 
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;
import javax.swing.JTextField;
import javax.swing.JTextPane;
import javax.swing.text.BadLocationException;
import javax.swing.text.Document;
/**
 *
 * @author gxx
 */
public class ArrivalsAtCityAndAtDate extends javax.swing.JFrame {
 // JDBC driver name and database URL
   static final String JDBC_DRIVER = "com.mysql.jdbc.Driver";  
   static final String DB_URL = "jdbc:mysql://localhost/team4444";
   //  Database credentials
   static final String USER = "phpmyadmin";
   static final String PASS = "kokos";
   Object[][] data=null;
   String[] columns=null;
   JTextPane guiConsole = new JTextPane();
   
   
    /**
     * Creates new form FrameKentriko
     */
    public ArrivalsAtCityAndAtDate() {
        initComponents();
    }
    
    
    
    
    private void log(String msg) {
        Document doc = guiConsole.getDocument();
        try {
            doc.insertString(doc.getLength(), msg + "\r\n", null);
        } catch (BadLocationException e) {}
}
    

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        ButtonCarsComingAtDateAndCity = new javax.swing.JButton();
        TextCarsComingAtCITY = new javax.swing.JTextField();
        TextCarsComingAtDATE = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        ButExit = new javax.swing.JButton();
        jButton1 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Αφίξεις αυτοκινήτων σε συγκεκριμένη  πόλη και ημερομηνία");
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        setLocation(new java.awt.Point(200, 150));

        ButtonCarsComingAtDateAndCity.setText(" Αυτοκίνητα που καταφθάνουν ");
        ButtonCarsComingAtDateAndCity.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ButtonCarsComingAtDateAndCityActionPerformed(evt);
            }
        });

        TextCarsComingAtCITY.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TextCarsComingAtCITYActionPerformed(evt);
            }
        });

        TextCarsComingAtDATE.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TextCarsComingAtDATEActionPerformed(evt);
            }
        });

        jLabel2.setText("Συμπλήρωσε τη πόλη άφιξης");

        jLabel3.setText("Συμπλήρωσε την ημερομηνία άφιξης");

        jLabel4.setText("(Η ημερομηνία να είναι της μορφής : YYYY-MM-DD)");

        ButExit.setFont(new java.awt.Font("Noto Sans", 0, 18)); // NOI18N
        ButExit.setText("Exit");
        ButExit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ButExitActionPerformed(evt);
            }
        });

        jButton1.setText("clean");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(0, 0, Short.MAX_VALUE)
                .addComponent(jLabel1)
                .addGap(794, 794, 794))
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                        .addGroup(layout.createSequentialGroup()
                            .addContainerGap()
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addGroup(layout.createSequentialGroup()
                                    .addComponent(jLabel3)
                                    .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                    .addComponent(jLabel4))
                                .addComponent(jLabel2))
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(TextCarsComingAtCITY, javax.swing.GroupLayout.PREFERRED_SIZE, 202, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addComponent(TextCarsComingAtDATE, javax.swing.GroupLayout.PREFERRED_SIZE, 182, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGroup(layout.createSequentialGroup()
                            .addGap(174, 174, 174)
                            .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGap(213, 213, 213)
                            .addComponent(ButExit)))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(279, 279, 279)
                        .addComponent(ButtonCarsComingAtDateAndCity, javax.swing.GroupLayout.PREFERRED_SIZE, 270, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(35, 35, 35)
                .addComponent(jLabel1)
                .addGap(29, 29, 29)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jLabel2)
                    .addComponent(TextCarsComingAtCITY, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(35, 35, 35)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel3)
                        .addComponent(jLabel4, javax.swing.GroupLayout.PREFERRED_SIZE, 28, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(TextCarsComingAtDATE, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(57, 57, 57)
                .addComponent(ButtonCarsComingAtDateAndCity, javax.swing.GroupLayout.PREFERRED_SIZE, 44, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(33, 33, 33)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton1)
                    .addComponent(ButExit))
                .addContainerGap(16, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void ButtonCarsComingAtDateAndCityActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ButtonCarsComingAtDateAndCityActionPerformed

        try{  
            Connection conn = null;
            Class.forName("com.mysql.jdbc.Driver");
            conn = DriverManager.getConnection(DB_URL, USER, PASS);
            System.out.println("Created table in given database...");

            String s = TextCarsComingAtCITY.getText(); 
            String s1 = TextCarsComingAtDATE.getText(); 
            if (s.isEmpty())
                JOptionPane.showMessageDialog(null,"Δεν έχετε εισάγει πόλη \n παρακαλώ συμπληρώστε");
            else {
                if (s1.isEmpty()) 
                    JOptionPane.showMessageDialog(null,"Δεν έχετε εισάγει ημερομηνία \n παρακαλώ συμπληρώστε");
                else{
                    Statement statement = conn.createStatement();  
                    String str="";     
                    String s2 = "SELECT c.LicensePlate, c.Model, c.Type, "
                            + "r.FinishLocation, r.FinishDate FROM Vehicle c, "
                            + "Rents r WHERE r.LicensePlate = c.LicensePlate "
                            + "AND r.FinishLocation ='"+s+"'And r.FinishDate ='"+s1+"'"; 

                    String sCount="SELECT Count(*) as count FROM Vehicle c, "
                            + "Rents r WHERE r.LicensePlate = c.LicensePlate "
                            + "AND r.FinishLocation ='"+s+"'And r.FinishDate ='"+s1+"'";

                    Statement statement1 = conn.createStatement(); 
                    ResultSet resultSet = statement.executeQuery(s2); 
                    ResultSet rowCount=statement1.executeQuery(sCount);
                    rowCount.next();
                    int rowCountt = rowCount.getInt("count");
                    if(rowCountt!=0){
                    data = new Object[rowCountt][5];
                    columns = new String[] {"LicensePlate", "Model", "Type","FinishLocation","FinishDate"};

                    int i=0;
                    while(resultSet.next()){
                        data[i][0]=resultSet.getString("LicensePlate");
                        data[i][1]=resultSet.getString("Model");
                        data[i][2]=resultSet.getString("Type");
                        data[i][3]=resultSet.getString("FinishLocation");
                        data[i][4]=resultSet.getString("FinishDate");
                        i++;
                    }
                    new ArrivalsAtCityQ(data,columns).setVisible(true);}
                    else JOptionPane.showMessageDialog(null,"Δεν υπάρχουν οχήματα αυτή τη μέρα");
                }
            }             
        }catch(SQLException se){
          //Handle errors for JDBC
          se.printStackTrace();
        }catch(Exception e){
          //Handle errors for Class.forName
          e.printStackTrace();
        }
    }//GEN-LAST:event_ButtonCarsComingAtDateAndCityActionPerformed

    private void TextCarsComingAtCITYActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TextCarsComingAtCITYActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_TextCarsComingAtCITYActionPerformed

    private void TextCarsComingAtDATEActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TextCarsComingAtDATEActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_TextCarsComingAtDATEActionPerformed

    private void ButExitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ButExitActionPerformed
        // TODO add your handling code here:
        super.dispose();
 
    }//GEN-LAST:event_ButExitActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // TODO add your handling code here:
        TextCarsComingAtCITY.setText("");
        TextCarsComingAtDATE.setText("");
    }//GEN-LAST:event_jButton1ActionPerformed

    
    
    
    
    
    
    
    
    
    
    public static void mainQ(String args[]) {
        Connection conn = null;
        Statement stmt = null;
        try {
            Class.forName("com.mysql.jdbc.Driver");
            conn = DriverManager.getConnection(DB_URL, USER, PASS);
        }catch(SQLException se){
            //Handle errors for JDBC
            se.printStackTrace();
        }catch(Exception e){
            //Handle errors for Class.forName
            e.printStackTrace();
        } finally{
        //finally block used to close resources
            try{
                if(conn!=null) conn.close();
            } catch(SQLException se){
                se.printStackTrace();
            }//end finally try
        }//end try
        // System.out.println("Goodbye!");
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ArrivalsAtCityAndAtDate().setVisible(true);
            }
        });
        
    }
    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton ButExit;
    private javax.swing.JButton ButtonCarsComingAtDateAndCity;
    private javax.swing.JTextField TextCarsComingAtCITY;
    private javax.swing.JTextField TextCarsComingAtDATE;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    // End of variables declaration//GEN-END:variables
}
